Tonyu.klass.define({
  fullName: 'user.DotConsole',
  shortName: 'DotConsole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_DotConsole_main() {
      "use strict";
      var _this=this;
      
    },
    fiber$main :function _trc_DotConsole_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.retVal=_this;return;
    },
    onAppear :function _trc_DotConsole_onAppear() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=81000018;//user.DotConsole:18
      _this.chipWidth=_this.chipWidth||16;
      //$LASTPOS=81000047;//user.DotConsole:47
      _this.chipHeight=_this.chipHeight||16;
      //$LASTPOS=81000078;//user.DotConsole:78
      _this.row=_this.row||24;
      //$LASTPOS=81000095;//user.DotConsole:95
      _this.col=_this.col||32;
      //$LASTPOS=81000112;//user.DotConsole:112
      _this.map=new Tonyu.classes.kernel.Map({chipWidth: _this.chipWidth,chipHeight: _this.chipHeight,row: _this.row,col: _this.col});
      //$LASTPOS=81000159;//user.DotConsole:159
      _this.cx=0;
      //$LASTPOS=81000164;//user.DotConsole:164
      _this.cy=0;
    },
    fiber$onAppear :function _trc_DotConsole_f_onAppear(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=81000018;//user.DotConsole:18
      _this.chipWidth=_this.chipWidth||16;
      //$LASTPOS=81000047;//user.DotConsole:47
      _this.chipHeight=_this.chipHeight||16;
      //$LASTPOS=81000078;//user.DotConsole:78
      _this.row=_this.row||24;
      //$LASTPOS=81000095;//user.DotConsole:95
      _this.col=_this.col||32;
      //$LASTPOS=81000112;//user.DotConsole:112
      _this.map=new Tonyu.classes.kernel.Map({chipWidth: _this.chipWidth,chipHeight: _this.chipHeight,row: _this.row,col: _this.col});
      //$LASTPOS=81000159;//user.DotConsole:159
      _this.cx=0;
      //$LASTPOS=81000164;//user.DotConsole:164
      _this.cy=0;
      
      _thread.retVal=_this;return;
    },
    locate :function _trc_DotConsole_locate(x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=81000192;//user.DotConsole:192
      _this.cx=x;
      //$LASTPOS=81000197;//user.DotConsole:197
      _this.cy=y;
    },
    fiber$locate :function _trc_DotConsole_f_locate(_thread,x,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=81000192;//user.DotConsole:192
      _this.cx=x;
      //$LASTPOS=81000197;//user.DotConsole:197
      _this.cy=y;
      
      _thread.retVal=_this;return;
    },
    print :function _trc_DotConsole_print(s) {
      "use strict";
      var _this=this;
      var i;
      
      //$LASTPOS=81000221;//user.DotConsole:221
      //$LASTPOS=81000226;//user.DotConsole:226
      i = 0;
      for (; i<s.length ; i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=81000260;//user.DotConsole:260
          _this.map.set(_this.cx,_this.cy,_this.font+s.charCodeAt(i));
          //$LASTPOS=81000305;//user.DotConsole:305
          _this.cx++;
          //$LASTPOS=81000319;//user.DotConsole:319
          if (_this.cx>=_this.map.col) {
            //$LASTPOS=81000350;//user.DotConsole:350
            _this.cx=0;
            //$LASTPOS=81000368;//user.DotConsole:368
            _this.cy++;
            
          }
        }
      }
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false},"locate":{"nowait":false},"print":{"nowait":true}},"fields":{"chipWidth":{},"chipHeight":{},"row":{},"col":{},"map":{},"cx":{},"cy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=82000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=82000025;//user.Main:25
      Tonyu.globals.$Screen.setBGColor("white");
      //$LASTPOS=82000129;//user.Main:129
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({size: 16,row: 24,col: 32,font: Tonyu.globals.$pat_font_bl});
      //$LASTPOS=82000190;//user.Main:190
      _this.x=10;
      //$LASTPOS=82000195;//user.Main:195
      _this.y=20;
      //$LASTPOS=82000200;//user.Main:200
      _this.p=- 1;
      //$LASTPOS=82000206;//user.Main:206
      _this.sc=0;
      //$LASTPOS=82000212;//user.Main:212
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=82000230;//user.Main:230
        Tonyu.globals.$d.locate(_this.x,_this.y);
        //$LASTPOS=82000250;//user.Main:250
        Tonyu.globals.$d.print(" |^| ");
        //$LASTPOS=82000273;//user.Main:273
        if (_this.getkey("left")) {
          //$LASTPOS=82000293;//user.Main:293
          _this.x--;
        }
        //$LASTPOS=82000302;//user.Main:302
        if (_this.getkey("right")) {
          //$LASTPOS=82000323;//user.Main:323
          _this.x++;
        }
        //$LASTPOS=82000332;//user.Main:332
        Tonyu.globals.$d.locate(3,5);
        //$LASTPOS=82000352;//user.Main:352
        Tonyu.globals.$d.print("Score 10");
        //$LASTPOS=82000378;//user.Main:378
        _this.update();
        
      }
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=82000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=82000025;//user.Main:25
      Tonyu.globals.$Screen.setBGColor("white");
      //$LASTPOS=82000129;//user.Main:129
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({size: 16,row: 24,col: 32,font: Tonyu.globals.$pat_font_bl});
      //$LASTPOS=82000190;//user.Main:190
      _this.x=10;
      //$LASTPOS=82000195;//user.Main:195
      _this.y=20;
      //$LASTPOS=82000200;//user.Main:200
      _this.p=- 1;
      //$LASTPOS=82000206;//user.Main:206
      _this.sc=0;
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=82000212;//user.Main:212
          case 1:
            //$LASTPOS=82000230;//user.Main:230
            Tonyu.globals.$d.locate(_this.x,_this.y);
            //$LASTPOS=82000250;//user.Main:250
            Tonyu.globals.$d.print(" |^| ");
            //$LASTPOS=82000273;//user.Main:273
            if (_this.getkey("left")) {
              //$LASTPOS=82000293;//user.Main:293
              _this.x--;
            }
            //$LASTPOS=82000302;//user.Main:302
            if (_this.getkey("right")) {
              //$LASTPOS=82000323;//user.Main:323
              _this.x++;
            }
            //$LASTPOS=82000332;//user.Main:332
            Tonyu.globals.$d.locate(3,5);
            //$LASTPOS=82000352;//user.Main:352
            Tonyu.globals.$d.print("Score 10");
            //$LASTPOS=82000378;//user.Main:378
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"sc":{}}}
});

//# sourceMappingURL=concat.js.map